## vpcs 0.8.3

=== src.drivers/freebsd/Makefile ===
.PATH: ${.CURDIR}/../../net

KMOD=	if_utun
SRCS=	if_utun.c

.include <bsd.kmod.mk>

## vpcs 0.5b0

=== debian/changelog ===
vpcs (0.5b0-1) unstable; urgency=low

  * Initial release. (Closes: #720196)

 -- Daniel Lintott <daniel@serverb.co.uk>  Wed, 06 Nov 2013 11:42:03 +0000

=== debian/control ===
Source: vpcs
Section: net
Priority: optional
Maintainer: Daniel Lintott <daniel@serverb.co.uk>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/vpcs/
Vcs-Browser: https://github.com/dlintott/vpcs
Vcs-Git: https://github.com/dlintott/vpcs.git

Package: vpcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: virtual PC simulator for Dynamips
 VPCS can simulate up to 9 PCs. You can ping/traceroute to
 them or ping/traceroute to other hosts/routers from the VPCS.
 .
 VPCS is not intended to be a fully functional PC, but is
 a tool to be used together with Dynamips.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# To enable all, uncomment following line
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -DLinux -Wall -I. -DTAP -DHV -Wno-strict-aliasing
export DEB_LDFLAGS_MAINT_APPEND = -lpthread -lutil -s

%:
	dh $@ 

override_dh_auto_clean:
	$(MAKE) -C src -f Makefile.linux clean
	rm -f vpcs

## vpcs 0.5b2

=== debian/changelog ===
vpcs (0.5b2-1) unstable; urgency=medium

  * Imported Upstream version 0.5b2
  * Remove patches applied upstream.
     + BuildOnGNUkFreeBSD
     + HypervisorPathPatch
     + ManpageFix
     + echild_fix
  * Update CreateTopLevelMakefile patch
  * Update copyright years
  * Add patch to correct lintian info alert.
     + Hyphen used as minus sign in manpage

 -- Daniel Lintott <daniel@serverb.co.uk>  Mon, 07 Jul 2014 16:59:00 +0100

vpcs (0.5b0-2) unstable; urgency=low

  * [63d71f16] Bump standards version to 3.9.5 - No changes
  * [1ab1f0cb] Update debian/rules
  * [37017180] Add patch to fix FTBFS on hurd-i386

 -- Daniel Lintott <daniel@serverb.co.uk>  Tue, 18 Mar 2014 16:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Lintott <daniel@serverb.co.uk>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/vpcs/
 Vcs-Browser: https://github.com/dlintott/vpcs
 Vcs-Git: https://github.com/dlintott/vpcs.git

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,25 @@
 
 # To enable all, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
+export DEB_CFLAGS_MAINT_APPEND  = -DLinux -Wall -I. -I/usr/share/libdde_linux26/build/include/linux-headers -DHV -Wno-strict-aliasing
+else
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+export DEB_CFLAGS_MAINT_APPEND  = -DGNUkFreeBSD -DFreeBSD -Wall -I. -DHV -Wno-strict-aliasing
+else
 export DEB_CFLAGS_MAINT_APPEND  = -DLinux -Wall -I. -DTAP -DHV -Wno-strict-aliasing
+endif
+endif
+
 export DEB_LDFLAGS_MAINT_APPEND = -lpthread -lutil -s
 
 %:
-	dh $@ 
+	dh $@
+
+override_dh_auto_build:
+	dh_auto_build
+	sed -n -e '1,/History/!p' readme.txt > CHANGELOG
 
 override_dh_auto_clean:
 	$(MAKE) -C src -f Makefile.linux clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|BETA|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/vpcs/vpcs-(\d.*)-(?:src|source)\.(?:tgz|tbz|tbz2|txz|tar\.(?:gz|bz2|xz))

## vpcs 0.8.3

=== debian/changelog ===
vpcs (0.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Emmanuel Arias ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * d/watch: Update file to import from new upstream source. Original
    upstream is not active anymore.
  * New upstream version (Closes: #1102493).
  * d/patches: Update patches according to new upstream release.
    - Remove d/p/hyphen-used-as-minus.patch patch, it already applied by
      upstream.
  * d/copyright: Update Source with the new upstream home.
  * d/control: Update Homepage link.
  * d/control: Add myself as Uploaders.
  * d/rules: Remove CHANGELOG and Makefile files during clean, they are
    generated during the build (Closes: #1046760).

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 15 Aug 2025 08:07:13 -0300

vpcs (0.5b2-2.1) unstable; urgency=medium

  [ Daniel Lintott ]
  * Update debian/watch.

  [ Andrej Shadura ]
  * Don’t needlessly include the current directory (Closes: #887694).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 23 Jun 2018 15:14:38 +0200

=== debian/control ===
Source: vpcs
Section: net
Priority: optional
Maintainer: Daniel Lintott <daniel@serverb.co.uk>
Uploaders: Emmanuel Arias <eamanu@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/GNS3/vpcs
Vcs-Browser: https://salsa.debian.org/debian/vpcs
Vcs-Git: https://salsa.debian.org/debian/vpcs.git

Package: vpcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: virtual PC simulator for Dynamips
 VPCS can simulate up to 9 PCs. You can ping/traceroute to
 them or ping/traceroute to other hosts/routers from the VPCS.
 .
 VPCS is not intended to be a fully functional PC, but is
 a tool to be used together with Dynamips.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# To enable all, uncomment following line
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_OS),hurd)
export DEB_CFLAGS_MAINT_APPEND  = -DLinux -Wall -I/usr/share/libdde_linux26/build/include/linux-headers -DHV -Wno-strict-aliasing
else
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
export DEB_CFLAGS_MAINT_APPEND  = -DGNUkFreeBSD -DFreeBSD -Wall -DHV -Wno-strict-aliasing
else
export DEB_CFLAGS_MAINT_APPEND  = -DLinux -Wall -DTAP -DHV -Wno-strict-aliasing
endif
endif

export DEB_LDFLAGS_MAINT_APPEND = -lpthread -lutil -s

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	sed -n -e '1,/History/!p' readme.txt > CHANGELOG

override_dh_auto_clean:
	$(MAKE) -C src -f Makefile.linux clean
	rm -f vpcs CHANGELOG Makefile

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|BETA|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/GNS3/vpcs/tags .*/v?(\d[\d\.]*)\.tar\.gz
